Subject: Re: bug#7667: Emacs info: function toggle-debug-on-quit is not documented
From: Eli Zaretskii <[email-masked]>
To: Jari Aalto <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 25 Dec 2010 12:38:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Jari Aalto <[email-masked]>
> Date: Tue, 21 Dec 2010 11:10:22 +0200
> Cc: [email-masked], Jari Aalto <[email-masked]>
> 
> | It's documented in the Lisp manual, and mentioned in the Emacs manual in
> | the node "Bugs" > "Checklist".  Since this command is mostly useful for
> | Lisp debugging and programming, the documentation belongs in the Lisp
> | manual.
> 
> The doc/emacs/trouble.texi documents:
> 
> @chapter Dealing with Common Problems
> 
>     @findex toggle-debug-on-error
>     @pindex Edebug
>     To make a backtrace for the error, use @kbd{M-x toggle-debug-on-error}
>     before the error happens (that is to say, you must give that command
>     and then make the bug happen).  This causes the error to start the Lisp
>     debugger, which shows you a backtrace.  Copy the text of the
>     debugger's backtrace into the bug report.  @xref{Debugger,, The Lisp
>     Debugger, elisp, the Emacs Lisp Reference Manual}, for information on
>     debugging Emacs Lisp programs with the Edebug package.
> 
>     This use of the debugger is possible only if you know how to make the
>     bug happen again.  If you can't make it happen again, at least copy
>     the whole error message.
> 
> The toggle-debug-on-quit is comparable.

I see no harm in mentioning it in the Emacs manual, so I added a short
blurb about it.

> It would be awkward not to be able to find it with "s" search command

You should use `i', not `s' for searching an Info manual.  Any
user-level variable and function in an Info manual should be indexed.